---
agentTools:
  projectIndex: https://sendinblue.readme.io/llms.txt
---

# Managing the status of the order

Manages the transactional status of the order

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "contact": {
      "email": "contact@brevo.com",
      "name": "Brevo Support",
      "url": "https://account.brevo.com/support"
    },
    "description": "Brevo provide a RESTFul API that can be used with any languages. With this API, you will be able to :\n  - Manage your campaigns and get the statistics\n  - Manage your contacts\n  - Send transactional Emails and SMS\n  - and much more...\n\nYou can download our wrappers at https://github.com/orgs/brevo\n**Possible responses**\n  | Code | Message |\n  | :-------------: | ------------- |\n  | 200  | OK. Successful Request  |\n  | 201  | OK. Successful Creation |\n  | 202  | OK. Request accepted |\n  | 204  | OK. Successful Update/Deletion  |\n  | 400  | Error. Bad Request  |\n  | 401  | Error. Authentication Needed  |\n  | 402  | Error. Not enough credit, plan upgrade needed  |\n  | 403  | Error. Permission denied  |\n  | 404  | Error. Object does not exist |\n  | 405  | Error. Method not allowed  |\n  | 406  | Error. Not Acceptable  |\n  | 422  | Error. Unprocessable Entity |\n",
    "license": {
      "name": "MIT",
      "url": "http://opensource.org/licenses/MIT"
    },
    "title": "Brevo API",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api.brevo.com/v3"
    }
  ],
  "security": [
    {
      "api-key": []
    },
    {
      "partner-key": []
    }
  ],
  "paths": {
    "/orders/status": {
      "post": {
        "description": "Manages the transactional status of the order",
        "operationId": "createOrder",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/order"
              }
            }
          },
          "required": true
        },
        "responses": {
          "204": {
            "content": {},
            "description": "Order Event posted"
          },
          "400": {
            "$ref": "#/components/responses/errorModel"
          }
        },
        "summary": "Managing the status of the order",
        "tags": [
          "Ecommerce"
        ]
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api-key": {
        "description": "The API key should be passed in the request headers as `api-key` for authentication.",
        "in": "header",
        "name": "api-key",
        "type": "apiKey"
      },
      "partner-key": {
        "description": "The partner key should be passed in the request headers as `partner-key` along with `api-key` pair for successful authentication of partner (Optional).",
        "in": "header",
        "name": "partner-key",
        "type": "apiKey"
      }
    },
    "schemas": {
      "order": {
        "properties": {
          "amount": {
            "description": "Total amount of the order, including all shipping expenses, tax and the price of items.",
            "example": 308.42,
            "type": "number"
          },
          "billing": {
            "description": "Billing details of an order.",
            "properties": {
              "address": {
                "description": "Full billing address.",
                "example": "15 Somewhere Road, Brynmenyn",
                "type": "string"
              },
              "city": {
                "description": "Exact city of the address.",
                "example": "Basel",
                "type": "string"
              },
              "country": {
                "description": "Billing country name.",
                "example": "Canada",
                "type": "string"
              },
              "countryCode": {
                "description": "Billing country 2-letter ISO code.",
                "example": "CA",
                "type": "string"
              },
              "paymentMethod": {
                "description": "How the visitor will pay for the item(s), e.g. paypal, check, etc.",
                "example": "PayPal",
                "type": "string"
              },
              "phone": {
                "description": "Billing phone number.",
                "example": "01559 032133",
                "type": "string"
              },
              "postCode": {
                "description": "Postcode for delivery and billing.",
                "example": "4052",
                "type": "string"
              },
              "region": {
                "description": "Exact region (state/province) for delivery and billing.",
                "example": "Northwestern Switzerland",
                "type": "string"
              }
            },
            "type": "object"
          },
          "coupons": {
            "description": "Coupons applied to the order. Stored case insensitive.",
            "example": [
              "EASTER15OFF"
            ],
            "items": {
              "type": "string"
            },
            "type": "array"
          },
          "createdAt": {
            "description": "Event occurrence UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when order is actually created.",
            "example": "2021-07-29T20:59:23.383Z",
            "type": "string"
          },
          "id": {
            "description": "Unique ID of the order.",
            "example": "14",
            "type": "string"
          },
          "identifiers": {
            "description": "Identifies the contact associated with the order.",
            "properties": {
              "email_id": {
                "description": "Email of the contact associated with the order",
                "example": "example@brevo.com",
                "type": "string"
              },
              "ext_id": {
                "description": "ext_id associated with the order",
                "example": "ext_id_1",
                "type": "string"
              },
              "loyalty_subscription_id": {
                "description": "loyalty_subscription_id associated with the order",
                "example": "loyalty_id_1",
                "type": "string"
              },
              "phone_id": {
                "description": "Phone number of the contact associated with the order",
                "example": "01559 032133",
                "type": "string"
              }
            },
            "type": "object"
          },
          "metaInfo": {
            "additionalProperties": {
              "oneOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                },
                {
                  "type": "boolean"
                }
              ]
            },
            "description": "Meta data of order to store additional detal such as custom message, customer type, source.",
            "example": {
              "customer_loyalty_tier": "Gold",
              "gift_message": "Happy Birthday!",
              "order_source": "Website"
            },
            "type": "object"
          },
          "products": {
            "items": {
              "description": "Details for the Products in an order.",
              "properties": {
                "price": {
                  "description": "The price of a unit of product",
                  "example": 99.99,
                  "type": "number"
                },
                "productId": {
                  "description": "ID of the product.",
                  "example": "P1",
                  "type": "string"
                },
                "quantity": {
                  "description": "How many pieces of the product the visitor has added to the cart.",
                  "example": 10,
                  "type": "number"
                },
                "variantId": {
                  "description": "Product ID of the red color shirts.",
                  "example": "P100",
                  "type": "string"
                }
              },
              "required": [
                "productId",
                "quantity",
                "price"
              ],
              "type": "object"
            },
            "type": "array"
          },
          "status": {
            "description": "State of the order.",
            "example": "completed",
            "type": "string"
          },
          "storeId": {
            "description": "ID of store where the order is placed",
            "example": "ST-21",
            "type": "string"
          },
          "updatedAt": {
            "description": "Event updated UTC date-time (YYYY-MM-DDTHH:mm:ssZ), when the status of the order is actually changed/updated.",
            "example": "2021-07-30T10:59:23.383Z",
            "type": "string"
          }
        },
        "required": [
          "id",
          "createdAt",
          "updatedAt",
          "status",
          "amount",
          "products"
        ],
        "type": "object"
      }
    },
    "responses": {
      "errorModel": {
        "content": {
          "application/json": {
            "schema": {
              "properties": {
                "code": {
                  "description": "Error code displayed in case of a failure",
                  "enum": [
                    "invalid_parameter",
                    "missing_parameter",
                    "out_of_range",
                    "campaign_processing",
                    "campaign_sent",
                    "document_not_found",
                    "not_enough_credits",
                    "permission_denied",
                    "duplicate_parameter",
                    "duplicate_request",
                    "method_not_allowed",
                    "unauthorized",
                    "account_under_validation",
                    "not_acceptable",
                    "bad_request",
                    "unprocessable_entity",
                    "Domain does not exist",
                    "Contact email not found",
                    "Attribute not found",
                    "Category id not found",
                    "Invalid parameters passed",
                    "Record(s) for identifier not found",
                    "Returned when query params are invalid",
                    "Returned when invalid data posted",
                    "Feed not found",
                    "Campaign ID not found",
                    "api-key not found",
                    "DMARC policy requires domain authentication",
                    "DNS records not properly configured",
                    "Invalid OTP code provided",
                    "OTP code has expired",
                    "Domain already exists in your account",
                    "The sum of all IP weights must equal 100",
                    "Authentication failed",
                    "Insufficient credits",
                    "Request already processed"
                  ],
                  "example": "method_not_allowed",
                  "type": "string"
                },
                "message": {
                  "description": "Readable message associated to the failure",
                  "example": "POST Method is not allowed on this path",
                  "type": "string"
                }
              },
              "required": [
                "code",
                "message"
              ],
              "type": "object"
            }
          }
        },
        "description": "bad request"
      }
    }
  },
  "x-samples-languages": [
    "curl"
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 91,
      "1": 104,
      "2": 180,
      "3": 205,
      "4": 240,
      "5": 82,
      "6": 207,
      "7": 0,
      "8": 3,
      "9": 36,
      "10": 63,
      "11": 142
    }
  }
}
```